
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>oracle数据泵导入分区表统计信息报错（一） 问题的现象 / iVAN</title>

    <meta name="description" content="oracle数据泵导入分区表统计信息报错（一） 问题的现象 今天在进行数据泵导入操作时,发现一个bug. 数据库版本Oracle 10203 for Solaris RAC,执行导入在处理表的统计信息时报错,错误信息为:ORA-39083和ORA-917. 经过仔细排查,对比源数据库分析情况和目标数据库的表分析情况,发现所有的分区表的统计信息都没有导入. 基本确认问题是IMPDP在处理分区表的统计信息时出现了问题. 可惜现在问题无法通过构造案例来重现:在目标数据库中(RAC环境)尝试建立分区表并执行数据泵的导出和导入,无法重现问题.将源数据库中出现问题的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">oracle数据泵导入分区表统计信息报错（一） 问题的现象</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>今天在进行数据泵导入操作时，发现一个bug。</p>
<p>数据库版本Oracle 10203 for Solaris RAC，执行导入在处理表的统计信息时报错，错误信息为：ORA-39083和ORA-917。</p>
<p>经过仔细排查，对比源数据库分析情况和目标数据库的表分析情况，发现所有的分区表的统计信息都没有导入。</p>
<p>基本确认问题是IMPDP在处理分区表的统计信息时出现了问题。</p>
<p>可惜现在问题无法通过构造案例来重现：在目标数据库中（RAC环境）尝试建立分区表并执行数据泵的导出和导入，无法重现问题。将源数据库中出现问题的分区表导入后，仿照源数据库方式收集统计信息，问题仍然无法重现。</p>
<p>不过只要将源数据库中的统计信息导出，并在目标数据库导入，就可以重现这个问题：</p>
<p>bash-2.03$ impdp test/test directory=d_test dumpfile=zhejiang_order.dp logfile=zhejiang_order.log remap_schema=zhejiang:test include=table/statistics</p>
<p>Import: Release 10.2.0.3.0 - 64bit Production on 星期一, 31 12月, 2007 2:49:30</p>
<p>Copyright (c) 2003, 2005, Oracle. All rights reserved.</p>
<p>连接到: Oracle Database 10g Enterprise Edition Release 10.2.0.3.0 - 64bit Production</p>
<p>本文URL地址：http://www.bianceng.cn/database/Oracle/201410/45379.htm</p>
<p>With the Partitioning, Real Application Clusters, OLAP and Data Mining options已成功加载/卸载了主表 "TEST"."SYS_IMPORT_FULL_01" 启动 "TEST"."SYS_IMPORT_FULL_01": test/******** directory=d_test dumpfile=zhejiang_order.dp logfile=zhejiang_order.log remap_schema=zhejiang:test include=table/statistics 处理对象类型 TABLE_EXPORT/TABLE/TABLE_DATA处理对象类型 TABLE_EXPORT/TABLE/STATISTICS/TABLE_STATISTICS</p>
<p>ORA-39083: 对象类型 TABLE_STATISTICS 创建失败, 出现错误:</p>
<p>ORA-06550: 第 12 行, 第 17 列:</p>
<p>PL/SQL: ORA-00917: 缺失逗号</p>
<p>ORA-06550: 第 4 行, 第 115 列:</p>
<p>PL/SQL: SQL Statement ignored</p>
<p>ORA-06550: 第 20 行, 第 17 列:</p>
<p>PL/SQL: ORA-00917: 缺失逗号</p>
<p>ORA-06550: 第 12 行, 第 161 列:</p>
<p>PL/SQL: SQL Statement ignored</p>
<p>ORA-06550: 第 28 行, 第 17 列:</p>
<p>PL/SQL: ORA-00917: 缺失逗号</p>
<p>ORA-06550: 第 20 行, 第 161 列:</p>
<p>PL/SQL: SQL Statement ignored</p>
<p>ORA-06550: 第 36 行, 第 17 列:</p>
<p>PL/SQL: ORA-00917: 缺失逗号</p>
<p>ORA-06550: 第 28 行, 第 1作业 "TEST"."SYS_IMPORT_FULL_01" 已经完成, 但是有 1 个错误 (于 02:49:38 完成)</p>
<p>根据关键信息在metalink进行查询，只发现一篇文章在测试别的bug时碰到这个问题，但是Oracle的开发人员并未对这个问题进行处理。</p>
<p>短时间之内找不到导致问题的真正原因，只好先记录一下问题可能发生的原因和环境。这个问题说大不大，只要在导入后重新收集一下分区表的信息即可，但是说小也不小，如果忽略了这个错误，缺少统计信息的是分区表，一般来说分区表都是系统中的大表，访问也比较频繁，更重要的是，由于分区表的存在Oracle肯定会使用CBO作为优化模式，这时就会使用默认的统计信息，或者利用动态收集的信息，很可能会产生一些效率很差的执行计划，导致整个系统的瘫痪。</p>
<p>作者：51cto博客 Oracle小混子</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:24:42</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%97%ae%e9%a2%98/" title="问题">问题</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.iamivan.net/tag/%e7%bb%9f%e8%ae%a1/" title="统计">统计</a>, <a href="https://www.iamivan.net/tag/ora/" title="ora">ora</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%8c%ba%e8%a1%a8/" title="分区表">分区表</a>, <a href="https://www.iamivan.net/tag/statistics-%e9%94%99%e8%af%af/" title="statistics&period;错误">statistics&period;错误</a>, <a href="https://www.iamivan.net/tag/pl-sql%e6%97%a0%e6%b3%95%e5%90%af%e5%8a%a8/" title="pl sql无法启动">pl sql无法启动</a>, <a href="https://www.iamivan.net/tag/pl-sql-test%e8%b0%83%e5%bc%8f/" title="pl sql test调式">pl sql test调式</a>, <a href="https://www.iamivan.net/tag/%e6%97%a0%e6%b3%95%e5%af%bc%e5%85%a5sql/" title="无法导入sql">无法导入sql</a>, <a href="https://www.iamivan.net/tag/%e6%8a%a5%e9%94%99%ef%bc%8c%e5%bf%bd%e7%95%a5%e9%94%99%e8%af%af%ef%bc%8cc/" title="报错，忽略错误，C">报错，忽略错误，C</a>, <a href="https://www.iamivan.net/tag/oracle%e5%88%86%e5%8c%ba%e8%a1%a8/" title="oracle分区表">oracle分区表</a>, <a href="https://www.iamivan.net/tag/%e5%af%bc%e5%85%a5easeui%e5%90%8e%e7%b3%bb%e7%bb%9f%e6%8a%a5%e9%94%99/" title="导入EaseUI后系统报错">导入EaseUI后系统报错</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>oracle数据泵导入分区表统计信息报错（一） 问题的现象的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOnv4b.html" rel="bookmark">oracle数据泵导入分区表统计信息报错（二） 深入研究问题的现象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天在进行数据泵导入操作时,发现一个bug. 上一篇记录了问题的现象,这一篇继续深入研究. 上一篇文章已经描述了问题的产生,而且提到了这个问题很难重现.无论如何去模拟实际的情况,都无法重现问题. 为了重现这个问题,在RAC数据库环境中,仿照问题表创建了分区表.并仿照问题数据库收集了统计信息的方式进行了统计信息的收集,都无法重现问题. 但是,利用问题数据库导出的统计信息,就可以重现问题.上周五发现的问题,但是由于数据不方便带回家,因此由于时间的限制仅仅测试了这么多. 今天一早到了公司,就继续这个问			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwlDjnb.html" rel="bookmark">oracle数据泵导入分区表统计信息报错（三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前不久检查了一篇以往的BLOG,意外的发现这个bug居然被我忘记了,时隔一年继续解决这个问题. 根据上一篇文章所介绍的分析过程,基本上可以确认和这几张分区表的统计信息本身有关. 由于当前数据库是从920环境EXP导出,IMP导入到同版本的中间数据库,最终通过数据泵IMPDP导入到当前数据库的.而分区表由于无法解决表空间的转换问题,因此在中间数据库手工创建,在IMP导入的时候指定了IGNORE=Y参数. 而现在恰好问题出在这个用户的所有分区表上,难道问题和迁移的过程有关系.检查了当时的脚本,没有发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW15qGz.html" rel="bookmark">oracle数据泵导入分区表统计信息报错（五）导致问题的原因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在已经找到了问题的原因,并且也找到了解决问题的方法,但是导致问题的原因还不清楚. 也就是说,要找到为什么这几个分区表的统计信息被锁住. Oracle的DBMS_STATS包提供了LOCK_TABLE_STATS过程,但是当前的问题显然不是手工调用这个过程造成的. 所有了一下metalink,发现Oracle在文档Doc ID: 433240.1中描述了统计信息被锁定的可能性: 手工执行DBMS_STATS包的LOCK_TABLE_STATS过程: 使用imp或impdp,导入表的时候不加载数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEdLJb.html" rel="bookmark">oracle数据泵导入分区表统计信息报错（四）问题的解决过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看来通过检查数据字典信息是找不到什么问题的原因了,只有通过手工执行收集统计信息的过程来尝试发现问题. 为了避免bug意外被解决所导致的问题无法重现,同时也为了可以在解决bug的过程中使用一些特别的手段而不影响用户的使用,这里通过备份建立了一个测试环境,下面的操作是在测试环境中执行. 首先修改统计信息对应的JOB的NEXT_DATE,使其在后台执行,检查收集统计信息后,测试数据库上是否能重现问题: SQL&gt; SELECT JOB, WHAT FROM USER_JOBS; JOB WHAT ---			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDJrBz.html" rel="bookmark">oracle 数据泵导入导出介绍&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.首先建立目录: create directory 目录名称 as '数据库服务器上的一个目录',如: create directory 别名 as 'd:\服务器目录名'; 将导入或导出的文件放在这个目录下 2.导出及导入 以SID=orcl,导出dmp的账号为test,导入dmp的账号为test为例. 若将数据从sfz中导出: expdp test/test@orcl directory=别名 dumpfile=导出文件名 导入到test中: impdp test/test@orcl di			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKgvAM.html" rel="bookmark">Oracle数据泵导出导入与传统导出导入的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 估计有不少的朋友不清楚Oracle数据泵导出导入与传统导出导入的区别吧,下面小编为各位介绍一下,有兴趣的朋友不防进入一起参考．   先来看一下Oracle数据泵导出导入例子 1.首先建立目录: create directory 目录名称 as '数据库服务器上的一个目录',如:  create directory 别名 as 'd:＼服务器目录名';  将导入或导出的文件放在这个目录下 2.导出及导入 以SID=orcl,导出dmp的账号为test,导入dmp的账号为test为例. 若将数据从			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxwL0b.html" rel="bookmark">oracle 10g数据泵和导入导出性能对比（五）影响数据泵导入性能的最大因素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前一段时间在一次迁移中同时用到了数据泵和EXP,发现二者效率的差别还是相当大的.这里通过一个例子简单比较一下. 这篇文章讨论影响数据泵导入性能的最大因素. 前面写了几篇文章,分别介绍EXP/IMP与EXPDP/IMPDP的性能对比,根据前面几篇文章的描述,如果不使用并行,似乎IMPDP的效率要比IMP没有一个数量级的提示.对于当前的环境而言,事实确实如此.不过前面一直没有描述一个重要的因素,当然的数据库环境由于配置了STANDBY数据库,因此不但处于归档模式,还设置了FORCE LOGGING:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKDy1p.html" rel="bookmark">Oracle 11g r2数据泵新特性简介（四）数据泵导入新增的DATA&lowbar;OPTIONS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle的11gr2版本中,并没有对数据泵做出多大的改动,主要是增加了对原始版本参数的支持,并且去掉了一些小的限制. 这一篇介绍数据泵导入新增的DATA_OPTIONS参数. 在11.2之前,数据泵的导入只提供了一个DATA_OPTIONS--SKIP_CONSTRAINT_ERRORS,而在11.2中,DATA_OPTIONS又增加了一个可用的值:DIABLE_APPEND_HINT. 一般来说我们希望数据泵使用直接路径的方式导入,因为导入的效率会很高.但是有的时候,我们并不需要采用直接路			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4ZjOp.html" rel="bookmark">oracle数据泵不同工作方式性能比较（五）测试NETWORK&lowbar;LINK导入方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				根据Oracle的文档的描述,数据泵采用不同的方式导出导入,性能也会有明显的差别,这次正好有机会测试一下,迁移表空间.直接路径.外部表方式,以及数据库链方式导出.导入的性能差异. 这篇测试NETWORK_LINK导入方式. 首先清除上一篇文章中导入的用户和表空间,并重新建立测试用户和表空间. SQL&gt; DROP USER TJSQ_NDMAIN CASCADE; User dropped. SQL&gt; DROP USER TJSQ_TRADE CASCADE; User dropped. SQL			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4w1pv.html" rel="bookmark" class="title">MathType交集符号太矮了怎么办</a>
					<div>
						  一般情况下,我们在使用MathType编辑交集符号的时候,会直接使用MathType模板中的交集符号,简单方便,但是使用模板后我们发现这个符号很丑,如图所示: MathType模板中的交集符号 正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bodnDM.html" rel="bookmark" class="title">PS 30分钟拟物图标速成记之网球篇</a>
					<div>
						  先展示一下整体效果图和两个细节图: 绘制网球基本雏形 首先新建一张纸. 宽:1600px 高:1200px 分辨率:72像素/英寸 名称:网球-test 添加画纸背景色. 点击选色工具中得前景色工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5OjRb.html" rel="bookmark" class="title">利用XMLHTTP无刷新添加数据</a>
					<div>
						xml|数据|刷新|无刷新 本文可以作为你进行ajax学习的第一篇实例教材.无刷新技术的实现,请在确信有必要的条件下才用,它也许会给您带来不必要的麻烦. 我们传统的提交数据的方法都是用&lt;Form ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOGr9z.html" rel="bookmark" class="title">网站改版与转型，用户有没有站在企业的角度思考？</a>
					<div>
						今年注定了中国互联网多事之秋,无论是网民还是互联网企业都迎来了一波又一波的整顿与和谐的浪潮.特别是百度高校贴吧与校内网的改版转型,更是引起了用户的强烈抗议与反对,更有甚者发帖大喊&quot;李彦宏,你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeqYwz.html" rel="bookmark" class="title">Fireworks MX 模拟灯泡效果</a>
					<div>
						Fireworks MX 增加了一些像素图处理功能以后,我们不仅可以用它做出很好的矢量图,另外完全还可以用它做出很多漂亮的像素图像. 下面就是Fireworks MX 做出的仿真灯泡,左边是透明的灯泡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ5KJp.html" rel="bookmark" class="title">ADO事件之&lpar;9&rpar;---WillChangeRecordset 和 RecordsetChangeComplete &lpar;RecordsetEvent&rpar; 事件</a>
					<div>
						ado WillChangeRecordset 和 RecordsetChangeComplete (RecordsetEvent) 事件 WillChangeRecordset 方法在挂起操作更改  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLwdaM.html" rel="bookmark" class="title">数据库中图片存储及读取</a>
					<div>
						数据|数据库 开发环境:Window 2000.SQLServer2000..Net Framework SDK正式版开发语言:C#.ASP.Net简介:数据库中图片存储及读取 说明:在ASP中,我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PVP8M.html" rel="bookmark" class="title">在作缓存时使用SqlCacheDependency</a>
					<div>
						今天要说的是在缓存时使用SqlCacheDependency.其应用场景是IP地址屏蔽,数据库里有一张表IPBlocked,记录了被屏蔽的 IP.由于每次进行注册或尝试登录时都要检查IP,而IP屏蔽表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOjWaM.html" rel="bookmark" class="title">让Ruby性能增加30&percnt;的改进方法分析</a>
					<div>
						我们都知道在编译Ruby的时候你需要使用configure的 --disable-pthread参数.没错,在configure --disable-pthread 可以让你得到大约 30% 性能提高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7eEZb.html" rel="bookmark" class="title">Java中计算任意两个日期之间的工作天数</a>
					<div>
						主要思路: 对于任意2个日期比如:date_start=2006-10-1.date_end=2006-10-14 ,首先计算这连个日期之间的时间间隔(天数),然后分别对date_start 和dat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy2gxb.html" rel="bookmark" class="title">10款最受老外欢迎的Win8应用程序</a>
					<div>
						Windows系统设备入手之后,面对这样一个全新的系统,应该如何快速熟悉与正确使用,对于用户来说是挺重要的一件事.只有安装完适合自己的软件之后,才能充分体验Windows 8系统带来的魅力.下面就为大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2K1Vp.html" rel="bookmark" class="title">怎么改无线密码？</a>
					<div>
						1. 右击右下角&quot;无线图标&quot;选择&quot;查看可用的无线网路&quot;,如下图: 2. 点击左侧&quot;更改高级设置&quot;,如下图: 3. 选择&quot;无线网络配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElw3qz.html" rel="bookmark" class="title">如何给WPS演示插入背景音乐</a>
					<div>
						我们在做PPT的时候 如果有一段优美的背景音乐的话,会让其他人感觉影响深刻,那么WPS 2012中有没有这个功能呢?答案:有! 下面小编就来教教大家如何给PPT加入背景音乐. 点击导航栏&quot;插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLRavb.html" rel="bookmark" class="title">服务器迁移之debian重新配置Web服务的一些细节备忘</a>
					<div>
						这次服务系统采用的是最新的Debian 7.0,但是有几个细节的忽略导致我折腾了一番,我再这里再做个记录吧   之前配置Linux服务器时采用的是Debian系统一直很稳定,这次准备迁移到新的服务器环 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WWK0b.html" rel="bookmark" class="title">Linux下查找指定时间内修改过的文件</a>
					<div>
						  假如在linux下修改文件后不记得了,我们需要查找指定时间内做过改动的文件,此时我们可以用find命令来查找. find /opt -iname &quot;*&quot; -atime 1 -t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8O0vp.html" rel="bookmark" class="title">Excel如何批量制作CSV数据表</a>
					<div>
						  众所周知,Excel的功能十分强大,而其最核心的功能在于数据处理.熟练驾奴Excel,您的工作将充满快乐和自信.当您仅花上几分钟就完成了别人花上几天功夫才能完成的数据处理工作时,心中的那份喜悦只有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3l15M.html" rel="bookmark" class="title">测试-while循环为什么跳出了还会再运行一次  新人求知道</a>
					<div>
						问题描述 while循环为什么跳出了还会再运行一次 新人求知道 实体类package com.pij.bean; public class bean { private int num = 501;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7rXBb.html" rel="bookmark" class="title">PHP中的类型约束介绍&lowbar;php实例</a>
					<div>
						PHP的类方法和函数中可实现类型约束,但参数只能指定类.数组.接口.callable 四种类型,参数可默认为NULL,PHP并不能约束标量类型或其它类型. 如下示例: 复制代码 代码如下: &lt;? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEW3Yp.html" rel="bookmark" class="title">jQuery多媒体插件jQuery Media Plugin使用详解&lowbar;jquery</a>
					<div>
						jQuery Media Plugin是一款基于jQuery的网页媒体播放器插件,它支持大部分的网络多媒体播放器和多媒体格式,比如:Flash, Windows Media Player, Real  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxKmRb.html" rel="bookmark" class="title">分析型数据库实时写入功能全面开放</a>
					<div>
						阿里云分析型数据库为客户提供了百亿级海量数据下的毫秒级OLAP查询与分析能力.除了可以通过内建API.阿里云数据集成等途径方便的批量导入大量数据外,分析型数据库目前开放了通过insert/delete ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YNLvM.html" rel="bookmark" class="title">iOS开发拓展篇&mdash;音频处理（音乐播放器6）</a>
					<div>
						一.图片处理 说明: Aspect表示按照原来的宽高比进行缩放. Aspectfit表示按照原来的宽高比缩放,要求看到全部图片,后果是不能完全覆盖窗口,会留有空白. Aspectfill表示按照原来的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N216z.html" rel="bookmark" class="title">UML之概述</a>
					<div>
						          UML,英文名曰:Unified  Modeling Language,她还有个中文名字叫统一建模语言,简单的来说,她就是一种绘制软件蓝图的标准语言.她的表达能力特别强,可以描述开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My356vz.html" rel="bookmark" class="title">javascript-如何用js替换掉table中某一列的值&quest;</a>
					<div>
						问题描述 如何用js替换掉table中某一列的值? 解决方案 ID Name 1 a 2 c &lt;script src=&quot;jquery-1.7.1.min.js&quot;&gt;&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkevYwb.html" rel="bookmark" class="title">数米基金陈鹏：中国基金超市要采取&OpenCurlyDoubleQuote;农村包围城市&rdquo;的屌丝战略</a>
					<div>
						图为数米基金网总经理兼CEO 陈鹏 投资畿朿日消息,由清科集团主办的2014中国互联罿/a&gt;金融投资大会今日在深圳召开,会上数米基金网总经理兼CEO陈鹏表示＿ 中国的基金超市应该首先考虑目标客户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ADqPz.html" rel="bookmark" class="title">如何不被程序员（RD）们嫌弃－－写给那些血气方刚的产品经理（PM）</a>
					<div>
						最近有位刚做 PM(产品经理)的小伙跑来跟我控诉,说公司技术部的 RD 们(程序员)个个不给力.需求过了千百遍还是理解错,或者就是简单回一句&quot;做不了&quot;,表情如死灰. 这位 PM 血 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqwA4b.html" rel="bookmark" class="title">Win7系统电脑无法安装Java解决办法</a>
					<div>
						原因分析1:代理服务器要求身份验证 解决方法:检查&quot;Internet 连接代理设置&quot;页面.注:请确保代理身份验证已关闭. 原因分析2:网络连接失败 解决方法:如果网络拥塞或者网络服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBELPM.html" rel="bookmark" class="title">《UNIXLinux程序设计教程》一2&period;1　UNIX 输入输出基本概念</a>
					<div>
						2.1 UNIX 输入输出基本概念 在任何一种操作系统中,程序开始读写一个文件的内容之前,必须首先在程序与文件之间建立连接或通信通道,这一过程称为打开文件.打开一个文件的目的可能是要读其中的数据,也可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqgy4p.html" rel="bookmark" class="title">qt-基于madplay 用QT写播放软件的问题</a>
					<div>
						问题描述 基于madplay 用QT写播放软件的问题 QT版本 QT5.5 PC平台 ubunt 14.04 32位操作系统 应用平台CW210开发板 项目目的 基于madplay工具,通过QT,制作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5aaZp.html" rel="bookmark" class="title">js提交表单后指定位置页面显示</a>
					<div>
						问题描述 页面是这样的.有三个页面index.jsp&lt;body&gt;&lt;a href=&quot;alertSearchWindow('search.jsp')&quot;&gt;查找&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEVeOp.html" rel="bookmark" class="title">stateful vs stateless vs Immutable</a>
					<div>
						问题描述 有状态就是有数据存储功能.有状态对象(StatefulBean),就是有实例变量的对象,可以保存数据,是非线程安全的.在不同方法调用间不保留任何状态.无状态就是一次操作,不能保存数据.无状态 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
